#!/usr/bin/perl -w

use strict;

my $old = "";
my $new = "RLE";

while (my $in = shift(@ARGV) )  {
    next unless -T $in;                # Skip over binary files.
    next unless $in =~ /life?$/i;        # Try renaming only *.lif(e) files. 
    $old = $&;                          # Store the current extension.
    open (IN, $in)  || die "Cannot open $in: $!";
    while(<IN>) {
	s/\s//g;                       # Remove whitespaces.
	if ($_ =~ /^\#/)  {                    # Skip over comment lines.
	    next;
	}

	if(/x=\d+,y=\d+/)  {           # Rename the file if a correct
                                       # RLE fieldsize line is found.        
	    my $newfilename = $in;
	    $newfilename =~ s/$old$/$new/; 
	    rename($in, $newfilename); 
	}
    }
}

